using Nirvana.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace YBDevice.Entity
{
    /// <summary>
    /// 出货类型
    /// </summary>
    public enum OutProductType
    {
        /// <summary>
        /// 出货
        /// </summary>
        [EnumTitle("出货")]
        Out = 1,
        /// <summary>
        /// 退货
        /// </summary>
        [EnumTitle("退货")]
        Reback = 2
    }
    /// <summary>
    /// 出货支付类型
    /// </summary>
    public enum OutProductPayType
    {
        /// <summary>
        /// 发货付款
        /// </summary>
        [EnumTitle("发货付款")]
        SenderPay = 1,
        /// <summary>
        /// 到付
        /// </summary>
        [EnumTitle("到付")]
        RecverPay = 2
    }
    /// <summary>
    /// 发货状态
    /// </summary>
    public enum OutProductStatus
    {
        /// <summary>
        /// 已下单
        /// </summary>
        [EnumTitle("已下单")]
        Created = 0,
        /// <summary>
        /// 设备已打包
        /// </summary>
        [EnumTitle("设备已打包")]
        INDevice = 1,
        /// <summary>
        /// 已发货
        /// </summary>
        [EnumTitle("已发货")]
        Sended = 2,
        /// <summary>
        /// 运送中
        /// </summary>
        [EnumTitle("运送中")]
        Transporting = 3,
        /// <summary>
        /// 已收货
        /// </summary>
        [EnumTitle("已收货")]
        Recved = 4,
        /// <summary>
        /// 已取消
        /// </summary>
        [EnumTitle("已取消")]
        Cancel = 5
    }
    /// <summary>
    /// 设备分配类型
    /// </summary>
    public enum DeviceAllocType
    {
        /// <summary>
        /// 出货
        /// </summary>
        [EnumTitle("出货")]
        OUT = 1,
        /// <summary>
        /// 分配
        /// </summary>
        [EnumTitle("分配")]
        ALLOC = 2,
        /// <summary>
        /// 回收
        /// </summary>
        [EnumTitle("回收")]
        RETURN = 3,
        /// <summary>
        /// 激活
        /// </summary>
        [EnumTitle("激活")]
        ACTIVE = 4
    }
}
